org.jgrapht.ext

## Interface EdgeNameProvider<E>

- All Known Implementing Classes:
    IntegerEdgeNameProvider, StringEdgeNameProvider

      public interface EdgeNameProvider<E>

  Assigns a display name for each of the graph edes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEdgeName(E edge)` Returns a unique name for an edge.

- - ### Method Detail

    - #### getEdgeName

          String getEdgeName(E edge)

      Returns a unique name for an edge. This is useful when exporting a graph, as it ensures that all edges are assigned simple, consistent names.
      Parameters:
        `edge` - the edge to be named
      Returns:
        the name of the edge

Copyright © 2016. All rights reserved.